Fehler in V 1.03

Forum zu Fragen und Diskussionen zum WordPress Plugin wpNewsletterGermany
http://wpnewslettergermany.maennchen1.de/

Moderatoren: ThoGoe, maennchen1.de

Antworten
k-rasch
Beiträge: 155
Registriert: 19.10.2012, 23:37
Lizenz: wpShopGermany Pro

Fehler in V 1.03

Beitrag von k-rasch » 28.10.2017, 18:41

Hallo, jetzt wo alles mit WPSG 4.0 viel schöner und besser wird, habe ich heute eine latest-Testversion des Newslettermoduls herunter geladen. Leider gibt es gleich einige Warnhinweise und einen Fehler:


Die Warnhinweise:

wpng_mod_bounce::abonnent_edit($abo) should be compatible with wpng_mod_basic::abonnent_edit(&$abo) in /var/www/web23655524/html/shop/wordpress/wp-content/plugins/wpnewslettergermany/mods/wpng_mod_bounce.class.php on line 53

Warning: Declaration of wpng_mod_userfields::abonnent_edit($abo) should be compatible with wpng_mod_basic::abonnent_edit(&$abo) in /var/www/web23655524/html/shop/wordpress/wp-content/plugins/wpnewslettergermany/mods/wpng_mod_userfields.class.php on line 69


Der Fehler: bei jeder Änderung der Konfiguration (vermutlich auch bei anderen Backend-Aktionen) bleibt das Modul stecken mit einem weißen Bildschirm und dem Hinweis:

Warning: Declaration of wpng_mod_bounce::abonnent_edit($abo) should be compatible with wpng_mod_basic::abonnent_edit(&$abo) in /var/www/web23655524/html/shop/wordpress/wp-content/plugins/wpnewslettergermany/mods/wpng_mod_bounce.class.php on line 53

Warning: Declaration of wpng_mod_userfields::abonnent_edit($abo) should be compatible with wpng_mod_basic::abonnent_edit(&$abo) in /var/www/web23655524/html/shop/wordpress/wp-content/plugins/wpnewslettergermany/mods/wpng_mod_userfields.class.php on line 69

Warning: Cannot modify header information - headers already sent by (output started at /var/www/web23655524/html/shop/wordpress/wp-content/plugins/wpnewslettergermany/mods/wpng_mod_bounce.class.php:53) in /var/www/web23655524/html/shop/wordpress/wp-content/plugins/wpnewslettergermany/controller/wpng_SystemController.class.php on line 2

Mit dem "zurück" Button im Browser kann man dann wieder in sein Backend zurück klicken, ist aber nervig.

VG

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16088
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Fehler in V 1.03

Beitrag von maennchen1.de » 30.10.2017, 11:05

Hallo!
Welche PHP Version hast du installiert?
Ich denke du hast PHP7 oder größer aktiv. Damit kommt wpNewsletterGermany noch nicht klar.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

k-rasch
Beiträge: 155
Registriert: 19.10.2012, 23:37
Lizenz: wpShopGermany Pro

Re: Fehler in V 1.03

Beitrag von k-rasch » 30.10.2017, 19:20

Hallo, ja, 7.0. Ich warte also noch etwas? VG Klaus

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2899
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Fehler in V 1.03

Beitrag von ThoGoe » 01.11.2017, 09:05

Hallo!

Wir bitte da um ein bisschen Geduld, bis das Newslettersystem wpNewsletterGermany php7-konform gemacht wurde. Danke schön!

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

ostsee
Beiträge: 19
Registriert: 03.02.2014, 17:11
Lizenz: wpShopGermany Enterprise

Re: Fehler in V 1.03

Beitrag von ostsee » 27.02.2018, 11:19

Hallo,
wir haben alle Wordpress Installationen zum Jahresbeginn auf php7 umgestellt.

es sind inzwischen einige Monate seit dem letzten Beitrag vergangen.
Wann ist eine php7 version von wpNewsletterGermany verfügbar?
der latest Download ist immer noch #1.0.3 von 2015

VG

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16088
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Fehler in V 1.03

Beitrag von maennchen1.de » 27.02.2018, 18:36

Sobald wir einen Termin haben, geben wir Bescheid.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

ostsee
Beiträge: 19
Registriert: 03.02.2014, 17:11
Lizenz: wpShopGermany Enterprise

Re: Fehler in V 1.03

Beitrag von ostsee » 15.03.2018, 12:16

Wir wollen jetzt einen neuen Newsletter versenden und warten noch auf die PHP7 Version. Ist damit in absehbarer Zeit zu rechnen?

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16088
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Fehler in V 1.03

Beitrag von maennchen1.de » 15.03.2018, 12:43

Ich kann nichts anderes sagen, wie vor 2 Wochen. Tut mir leid. Das Update ist in Arbeit, zieht sich aber leider.
Aber die o.g. Punkte sind lediglich Warnungen, welche das Script nicht abbrechen lassen. Diese Warnungen kannst du serverseitig ausschalten.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Antworten